#!/bin/bash -e


# Install packages for Go
echo "================= Install packages for Go ==================="

yum -y update && yum install -y \
autoconf \
bison \
cmake \
scons \
binutils \
gcc \
bzr \
glibc-devel

# Install gvm
echo "================= Install gvm ==================="
curl -s -L https://raw.githubusercontent.com/moovweb/gvm/master/binscripts/gvm-installer | bash

export CGO_ENABLED=0
#set the source path of gvm. $HOME points to '/root'
[[ -s "$HOME/.gvm/scripts/gvm" ]] && source $HOME/.gvm/scripts/gvm
export CGO_ENABLED=0


export GOVER="1.12.14"
# Install gvm
echo "================= Install Go $GOVER ==================="
export GOROOT_BOOTSTRAP=$GOROOT
gvm install go$GOVER --prefer-binary
source /root/.gvm/scripts/gvm
gvm use go$GOVER
go install -a std
go get -u github.com/tools/godep
